Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network14.232.36.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
14.232.36.0
Broadcast address
14.232.39.255
First usable
14.232.36.1
Last usable
14.232.39.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 0EE82400 · Integer 250094592 to 250095615
Reverse DNS zones
36.232.14.in-addr.arpa
37.232.14.in-addr.arpa
38.232.14.in-addr.arpa
39.232.14.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001110.11101000.00100100.0000000014.232.36.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00001110.11101000.00100100.0000000014.232.36.0
Broadcast00001110.11101000.00100111.1111111114.232.39.255
Split into smaller subnets/30

14.232.36.0/22 makes 256 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
114.232.36.0/3014.232.36.1 to 14.232.36.214.232.36.32
214.232.36.4/3014.232.36.5 to 14.232.36.614.232.36.72
314.232.36.8/3014.232.36.9 to 14.232.36.1014.232.36.112
414.232.36.12/3014.232.36.13 to 14.232.36.1414.232.36.152
514.232.36.16/3014.232.36.17 to 14.232.36.1814.232.36.192
614.232.36.20/3014.232.36.21 to 14.232.36.2214.232.36.232
714.232.36.24/3014.232.36.25 to 14.232.36.2614.232.36.272
814.232.36.28/3014.232.36.29 to 14.232.36.3014.232.36.312
914.232.36.32/3014.232.36.33 to 14.232.36.3414.232.36.352
1014.232.36.36/3014.232.36.37 to 14.232.36.3814.232.36.392
1114.232.36.40/3014.232.36.41 to 14.232.36.4214.232.36.432
1214.232.36.44/3014.232.36.45 to 14.232.36.4614.232.36.472
1314.232.36.48/3014.232.36.49 to 14.232.36.5014.232.36.512
1414.232.36.52/3014.232.36.53 to 14.232.36.5414.232.36.552
1514.232.36.56/3014.232.36.57 to 14.232.36.5814.232.36.592
1614.232.36.60/3014.232.36.61 to 14.232.36.6214.232.36.632
1714.232.36.64/3014.232.36.65 to 14.232.36.6614.232.36.672
1814.232.36.68/3014.232.36.69 to 14.232.36.7014.232.36.712
1914.232.36.72/3014.232.36.73 to 14.232.36.7414.232.36.752
2014.232.36.76/3014.232.36.77 to 14.232.36.7814.232.36.792
2114.232.36.80/3014.232.36.81 to 14.232.36.8214.232.36.832
2214.232.36.84/3014.232.36.85 to 14.232.36.8614.232.36.872
2314.232.36.88/3014.232.36.89 to 14.232.36.9014.232.36.912
2414.232.36.92/3014.232.36.93 to 14.232.36.9414.232.36.952
2514.232.36.96/3014.232.36.97 to 14.232.36.9814.232.36.992
2614.232.36.100/3014.232.36.101 to 14.232.36.10214.232.36.1032
2714.232.36.104/3014.232.36.105 to 14.232.36.10614.232.36.1072
2814.232.36.108/3014.232.36.109 to 14.232.36.11014.232.36.1112
2914.232.36.112/3014.232.36.113 to 14.232.36.11414.232.36.1152
3014.232.36.116/3014.232.36.117 to 14.232.36.11814.232.36.1192
3114.232.36.120/3014.232.36.121 to 14.232.36.12214.232.36.1232
3214.232.36.124/3014.232.36.125 to 14.232.36.12614.232.36.1272
3314.232.36.128/3014.232.36.129 to 14.232.36.13014.232.36.1312
3414.232.36.132/3014.232.36.133 to 14.232.36.13414.232.36.1352
3514.232.36.136/3014.232.36.137 to 14.232.36.13814.232.36.1392
3614.232.36.140/3014.232.36.141 to 14.232.36.14214.232.36.1432
3714.232.36.144/3014.232.36.145 to 14.232.36.14614.232.36.1472
3814.232.36.148/3014.232.36.149 to 14.232.36.15014.232.36.1512
3914.232.36.152/3014.232.36.153 to 14.232.36.15414.232.36.1552
4014.232.36.156/3014.232.36.157 to 14.232.36.15814.232.36.1592
4114.232.36.160/3014.232.36.161 to 14.232.36.16214.232.36.1632
4214.232.36.164/3014.232.36.165 to 14.232.36.16614.232.36.1672
4314.232.36.168/3014.232.36.169 to 14.232.36.17014.232.36.1712
4414.232.36.172/3014.232.36.173 to 14.232.36.17414.232.36.1752
4514.232.36.176/3014.232.36.177 to 14.232.36.17814.232.36.1792
4614.232.36.180/3014.232.36.181 to 14.232.36.18214.232.36.1832
4714.232.36.184/3014.232.36.185 to 14.232.36.18614.232.36.1872
4814.232.36.188/3014.232.36.189 to 14.232.36.19014.232.36.1912
4914.232.36.192/3014.232.36.193 to 14.232.36.19414.232.36.1952
5014.232.36.196/3014.232.36.197 to 14.232.36.19814.232.36.1992
5114.232.36.200/3014.232.36.201 to 14.232.36.20214.232.36.2032
5214.232.36.204/3014.232.36.205 to 14.232.36.20614.232.36.2072
5314.232.36.208/3014.232.36.209 to 14.232.36.21014.232.36.2112
5414.232.36.212/3014.232.36.213 to 14.232.36.21414.232.36.2152
5514.232.36.216/3014.232.36.217 to 14.232.36.21814.232.36.2192
5614.232.36.220/3014.232.36.221 to 14.232.36.22214.232.36.2232
5714.232.36.224/3014.232.36.225 to 14.232.36.22614.232.36.2272
5814.232.36.228/3014.232.36.229 to 14.232.36.23014.232.36.2312
5914.232.36.232/3014.232.36.233 to 14.232.36.23414.232.36.2352
6014.232.36.236/3014.232.36.237 to 14.232.36.23814.232.36.2392
6114.232.36.240/3014.232.36.241 to 14.232.36.24214.232.36.2432
6214.232.36.244/3014.232.36.245 to 14.232.36.24614.232.36.2472
6314.232.36.248/3014.232.36.249 to 14.232.36.25014.232.36.2512
6414.232.36.252/3014.232.36.253 to 14.232.36.25414.232.36.2552
6514.232.37.0/3014.232.37.1 to 14.232.37.214.232.37.32
6614.232.37.4/3014.232.37.5 to 14.232.37.614.232.37.72
6714.232.37.8/3014.232.37.9 to 14.232.37.1014.232.37.112
6814.232.37.12/3014.232.37.13 to 14.232.37.1414.232.37.152
6914.232.37.16/3014.232.37.17 to 14.232.37.1814.232.37.192
7014.232.37.20/3014.232.37.21 to 14.232.37.2214.232.37.232
7114.232.37.24/3014.232.37.25 to 14.232.37.2614.232.37.272
7214.232.37.28/3014.232.37.29 to 14.232.37.3014.232.37.312
7314.232.37.32/3014.232.37.33 to 14.232.37.3414.232.37.352
7414.232.37.36/3014.232.37.37 to 14.232.37.3814.232.37.392
7514.232.37.40/3014.232.37.41 to 14.232.37.4214.232.37.432
7614.232.37.44/3014.232.37.45 to 14.232.37.4614.232.37.472
7714.232.37.48/3014.232.37.49 to 14.232.37.5014.232.37.512
7814.232.37.52/3014.232.37.53 to 14.232.37.5414.232.37.552
7914.232.37.56/3014.232.37.57 to 14.232.37.5814.232.37.592
8014.232.37.60/3014.232.37.61 to 14.232.37.6214.232.37.632
8114.232.37.64/3014.232.37.65 to 14.232.37.6614.232.37.672
8214.232.37.68/3014.232.37.69 to 14.232.37.7014.232.37.712
8314.232.37.72/3014.232.37.73 to 14.232.37.7414.232.37.752
8414.232.37.76/3014.232.37.77 to 14.232.37.7814.232.37.792
8514.232.37.80/3014.232.37.81 to 14.232.37.8214.232.37.832
8614.232.37.84/3014.232.37.85 to 14.232.37.8614.232.37.872
8714.232.37.88/3014.232.37.89 to 14.232.37.9014.232.37.912
8814.232.37.92/3014.232.37.93 to 14.232.37.9414.232.37.952
8914.232.37.96/3014.232.37.97 to 14.232.37.9814.232.37.992
9014.232.37.100/3014.232.37.101 to 14.232.37.10214.232.37.1032
9114.232.37.104/3014.232.37.105 to 14.232.37.10614.232.37.1072
9214.232.37.108/3014.232.37.109 to 14.232.37.11014.232.37.1112
9314.232.37.112/3014.232.37.113 to 14.232.37.11414.232.37.1152
9414.232.37.116/3014.232.37.117 to 14.232.37.11814.232.37.1192
9514.232.37.120/3014.232.37.121 to 14.232.37.12214.232.37.1232
9614.232.37.124/3014.232.37.125 to 14.232.37.12614.232.37.1272
9714.232.37.128/3014.232.37.129 to 14.232.37.13014.232.37.1312
9814.232.37.132/3014.232.37.133 to 14.232.37.13414.232.37.1352
9914.232.37.136/3014.232.37.137 to 14.232.37.13814.232.37.1392
10014.232.37.140/3014.232.37.141 to 14.232.37.14214.232.37.1432
10114.232.37.144/3014.232.37.145 to 14.232.37.14614.232.37.1472
10214.232.37.148/3014.232.37.149 to 14.232.37.15014.232.37.1512
10314.232.37.152/3014.232.37.153 to 14.232.37.15414.232.37.1552
10414.232.37.156/3014.232.37.157 to 14.232.37.15814.232.37.1592
10514.232.37.160/3014.232.37.161 to 14.232.37.16214.232.37.1632
10614.232.37.164/3014.232.37.165 to 14.232.37.16614.232.37.1672
10714.232.37.168/3014.232.37.169 to 14.232.37.17014.232.37.1712
10814.232.37.172/3014.232.37.173 to 14.232.37.17414.232.37.1752
10914.232.37.176/3014.232.37.177 to 14.232.37.17814.232.37.1792
11014.232.37.180/3014.232.37.181 to 14.232.37.18214.232.37.1832
11114.232.37.184/3014.232.37.185 to 14.232.37.18614.232.37.1872
11214.232.37.188/3014.232.37.189 to 14.232.37.19014.232.37.1912
11314.232.37.192/3014.232.37.193 to 14.232.37.19414.232.37.1952
11414.232.37.196/3014.232.37.197 to 14.232.37.19814.232.37.1992
11514.232.37.200/3014.232.37.201 to 14.232.37.20214.232.37.2032
11614.232.37.204/3014.232.37.205 to 14.232.37.20614.232.37.2072
11714.232.37.208/3014.232.37.209 to 14.232.37.21014.232.37.2112
11814.232.37.212/3014.232.37.213 to 14.232.37.21414.232.37.2152
11914.232.37.216/3014.232.37.217 to 14.232.37.21814.232.37.2192
12014.232.37.220/3014.232.37.221 to 14.232.37.22214.232.37.2232
12114.232.37.224/3014.232.37.225 to 14.232.37.22614.232.37.2272
12214.232.37.228/3014.232.37.229 to 14.232.37.23014.232.37.2312
12314.232.37.232/3014.232.37.233 to 14.232.37.23414.232.37.2352
12414.232.37.236/3014.232.37.237 to 14.232.37.23814.232.37.2392
12514.232.37.240/3014.232.37.241 to 14.232.37.24214.232.37.2432
12614.232.37.244/3014.232.37.245 to 14.232.37.24614.232.37.2472
12714.232.37.248/3014.232.37.249 to 14.232.37.25014.232.37.2512
12814.232.37.252/3014.232.37.253 to 14.232.37.25414.232.37.2552
12914.232.38.0/3014.232.38.1 to 14.232.38.214.232.38.32
13014.232.38.4/3014.232.38.5 to 14.232.38.614.232.38.72
13114.232.38.8/3014.232.38.9 to 14.232.38.1014.232.38.112
13214.232.38.12/3014.232.38.13 to 14.232.38.1414.232.38.152
13314.232.38.16/3014.232.38.17 to 14.232.38.1814.232.38.192
13414.232.38.20/3014.232.38.21 to 14.232.38.2214.232.38.232
13514.232.38.24/3014.232.38.25 to 14.232.38.2614.232.38.272
13614.232.38.28/3014.232.38.29 to 14.232.38.3014.232.38.312
13714.232.38.32/3014.232.38.33 to 14.232.38.3414.232.38.352
13814.232.38.36/3014.232.38.37 to 14.232.38.3814.232.38.392
13914.232.38.40/3014.232.38.41 to 14.232.38.4214.232.38.432
14014.232.38.44/3014.232.38.45 to 14.232.38.4614.232.38.472
14114.232.38.48/3014.232.38.49 to 14.232.38.5014.232.38.512
14214.232.38.52/3014.232.38.53 to 14.232.38.5414.232.38.552
14314.232.38.56/3014.232.38.57 to 14.232.38.5814.232.38.592
14414.232.38.60/3014.232.38.61 to 14.232.38.6214.232.38.632
14514.232.38.64/3014.232.38.65 to 14.232.38.6614.232.38.672
14614.232.38.68/3014.232.38.69 to 14.232.38.7014.232.38.712
14714.232.38.72/3014.232.38.73 to 14.232.38.7414.232.38.752
14814.232.38.76/3014.232.38.77 to 14.232.38.7814.232.38.792
14914.232.38.80/3014.232.38.81 to 14.232.38.8214.232.38.832
15014.232.38.84/3014.232.38.85 to 14.232.38.8614.232.38.872
15114.232.38.88/3014.232.38.89 to 14.232.38.9014.232.38.912
15214.232.38.92/3014.232.38.93 to 14.232.38.9414.232.38.952
15314.232.38.96/3014.232.38.97 to 14.232.38.9814.232.38.992
15414.232.38.100/3014.232.38.101 to 14.232.38.10214.232.38.1032
15514.232.38.104/3014.232.38.105 to 14.232.38.10614.232.38.1072
15614.232.38.108/3014.232.38.109 to 14.232.38.11014.232.38.1112
15714.232.38.112/3014.232.38.113 to 14.232.38.11414.232.38.1152
15814.232.38.116/3014.232.38.117 to 14.232.38.11814.232.38.1192
15914.232.38.120/3014.232.38.121 to 14.232.38.12214.232.38.1232
16014.232.38.124/3014.232.38.125 to 14.232.38.12614.232.38.1272
16114.232.38.128/3014.232.38.129 to 14.232.38.13014.232.38.1312
16214.232.38.132/3014.232.38.133 to 14.232.38.13414.232.38.1352
16314.232.38.136/3014.232.38.137 to 14.232.38.13814.232.38.1392
16414.232.38.140/3014.232.38.141 to 14.232.38.14214.232.38.1432
16514.232.38.144/3014.232.38.145 to 14.232.38.14614.232.38.1472
16614.232.38.148/3014.232.38.149 to 14.232.38.15014.232.38.1512
16714.232.38.152/3014.232.38.153 to 14.232.38.15414.232.38.1552
16814.232.38.156/3014.232.38.157 to 14.232.38.15814.232.38.1592
16914.232.38.160/3014.232.38.161 to 14.232.38.16214.232.38.1632
17014.232.38.164/3014.232.38.165 to 14.232.38.16614.232.38.1672
17114.232.38.168/3014.232.38.169 to 14.232.38.17014.232.38.1712
17214.232.38.172/3014.232.38.173 to 14.232.38.17414.232.38.1752
17314.232.38.176/3014.232.38.177 to 14.232.38.17814.232.38.1792
17414.232.38.180/3014.232.38.181 to 14.232.38.18214.232.38.1832
17514.232.38.184/3014.232.38.185 to 14.232.38.18614.232.38.1872
17614.232.38.188/3014.232.38.189 to 14.232.38.19014.232.38.1912
17714.232.38.192/3014.232.38.193 to 14.232.38.19414.232.38.1952
17814.232.38.196/3014.232.38.197 to 14.232.38.19814.232.38.1992
17914.232.38.200/3014.232.38.201 to 14.232.38.20214.232.38.2032
18014.232.38.204/3014.232.38.205 to 14.232.38.20614.232.38.2072
18114.232.38.208/3014.232.38.209 to 14.232.38.21014.232.38.2112
18214.232.38.212/3014.232.38.213 to 14.232.38.21414.232.38.2152
18314.232.38.216/3014.232.38.217 to 14.232.38.21814.232.38.2192
18414.232.38.220/3014.232.38.221 to 14.232.38.22214.232.38.2232
18514.232.38.224/3014.232.38.225 to 14.232.38.22614.232.38.2272
18614.232.38.228/3014.232.38.229 to 14.232.38.23014.232.38.2312
18714.232.38.232/3014.232.38.233 to 14.232.38.23414.232.38.2352
18814.232.38.236/3014.232.38.237 to 14.232.38.23814.232.38.2392
18914.232.38.240/3014.232.38.241 to 14.232.38.24214.232.38.2432
19014.232.38.244/3014.232.38.245 to 14.232.38.24614.232.38.2472
19114.232.38.248/3014.232.38.249 to 14.232.38.25014.232.38.2512
19214.232.38.252/3014.232.38.253 to 14.232.38.25414.232.38.2552
19314.232.39.0/3014.232.39.1 to 14.232.39.214.232.39.32
19414.232.39.4/3014.232.39.5 to 14.232.39.614.232.39.72
19514.232.39.8/3014.232.39.9 to 14.232.39.1014.232.39.112
19614.232.39.12/3014.232.39.13 to 14.232.39.1414.232.39.152
19714.232.39.16/3014.232.39.17 to 14.232.39.1814.232.39.192
19814.232.39.20/3014.232.39.21 to 14.232.39.2214.232.39.232
19914.232.39.24/3014.232.39.25 to 14.232.39.2614.232.39.272
20014.232.39.28/3014.232.39.29 to 14.232.39.3014.232.39.312
20114.232.39.32/3014.232.39.33 to 14.232.39.3414.232.39.352
20214.232.39.36/3014.232.39.37 to 14.232.39.3814.232.39.392
20314.232.39.40/3014.232.39.41 to 14.232.39.4214.232.39.432
20414.232.39.44/3014.232.39.45 to 14.232.39.4614.232.39.472
20514.232.39.48/3014.232.39.49 to 14.232.39.5014.232.39.512
20614.232.39.52/3014.232.39.53 to 14.232.39.5414.232.39.552
20714.232.39.56/3014.232.39.57 to 14.232.39.5814.232.39.592
20814.232.39.60/3014.232.39.61 to 14.232.39.6214.232.39.632
20914.232.39.64/3014.232.39.65 to 14.232.39.6614.232.39.672
21014.232.39.68/3014.232.39.69 to 14.232.39.7014.232.39.712
21114.232.39.72/3014.232.39.73 to 14.232.39.7414.232.39.752
21214.232.39.76/3014.232.39.77 to 14.232.39.7814.232.39.792
21314.232.39.80/3014.232.39.81 to 14.232.39.8214.232.39.832
21414.232.39.84/3014.232.39.85 to 14.232.39.8614.232.39.872
21514.232.39.88/3014.232.39.89 to 14.232.39.9014.232.39.912
21614.232.39.92/3014.232.39.93 to 14.232.39.9414.232.39.952
21714.232.39.96/3014.232.39.97 to 14.232.39.9814.232.39.992
21814.232.39.100/3014.232.39.101 to 14.232.39.10214.232.39.1032
21914.232.39.104/3014.232.39.105 to 14.232.39.10614.232.39.1072
22014.232.39.108/3014.232.39.109 to 14.232.39.11014.232.39.1112
22114.232.39.112/3014.232.39.113 to 14.232.39.11414.232.39.1152
22214.232.39.116/3014.232.39.117 to 14.232.39.11814.232.39.1192
22314.232.39.120/3014.232.39.121 to 14.232.39.12214.232.39.1232
22414.232.39.124/3014.232.39.125 to 14.232.39.12614.232.39.1272
22514.232.39.128/3014.232.39.129 to 14.232.39.13014.232.39.1312
22614.232.39.132/3014.232.39.133 to 14.232.39.13414.232.39.1352
22714.232.39.136/3014.232.39.137 to 14.232.39.13814.232.39.1392
22814.232.39.140/3014.232.39.141 to 14.232.39.14214.232.39.1432
22914.232.39.144/3014.232.39.145 to 14.232.39.14614.232.39.1472
23014.232.39.148/3014.232.39.149 to 14.232.39.15014.232.39.1512
23114.232.39.152/3014.232.39.153 to 14.232.39.15414.232.39.1552
23214.232.39.156/3014.232.39.157 to 14.232.39.15814.232.39.1592
23314.232.39.160/3014.232.39.161 to 14.232.39.16214.232.39.1632
23414.232.39.164/3014.232.39.165 to 14.232.39.16614.232.39.1672
23514.232.39.168/3014.232.39.169 to 14.232.39.17014.232.39.1712
23614.232.39.172/3014.232.39.173 to 14.232.39.17414.232.39.1752
23714.232.39.176/3014.232.39.177 to 14.232.39.17814.232.39.1792
23814.232.39.180/3014.232.39.181 to 14.232.39.18214.232.39.1832
23914.232.39.184/3014.232.39.185 to 14.232.39.18614.232.39.1872
24014.232.39.188/3014.232.39.189 to 14.232.39.19014.232.39.1912
24114.232.39.192/3014.232.39.193 to 14.232.39.19414.232.39.1952
24214.232.39.196/3014.232.39.197 to 14.232.39.19814.232.39.1992
24314.232.39.200/3014.232.39.201 to 14.232.39.20214.232.39.2032
24414.232.39.204/3014.232.39.205 to 14.232.39.20614.232.39.2072
24514.232.39.208/3014.232.39.209 to 14.232.39.21014.232.39.2112
24614.232.39.212/3014.232.39.213 to 14.232.39.21414.232.39.2152
24714.232.39.216/3014.232.39.217 to 14.232.39.21814.232.39.2192
24814.232.39.220/3014.232.39.221 to 14.232.39.22214.232.39.2232
24914.232.39.224/3014.232.39.225 to 14.232.39.22614.232.39.2272
25014.232.39.228/3014.232.39.229 to 14.232.39.23014.232.39.2312
25114.232.39.232/3014.232.39.233 to 14.232.39.23414.232.39.2352
25214.232.39.236/3014.232.39.237 to 14.232.39.23814.232.39.2392
25314.232.39.240/3014.232.39.241 to 14.232.39.24214.232.39.2432
25414.232.39.244/3014.232.39.245 to 14.232.39.24614.232.39.2472
25514.232.39.248/3014.232.39.249 to 14.232.39.25014.232.39.2512
25614.232.39.252/3014.232.39.253 to 14.232.39.25414.232.39.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses